<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html lang="en">

<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <title>LCOV - coverage.info - prbs/prbs.vhd</title>
  <link rel="stylesheet" type="text/css" href="../gcov.css">
</head>

<body>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="title">LCOV - code coverage report</td></tr>
    <tr><td class="ruler"><img src="../glass.png" width=3 height=3 alt=""></td></tr>

    <tr>
      <td width="100%">
        <table cellpadding=1 border=0 width="100%">
          <tr>
            <td width="10%" class="headerItem">Current view:</td>
            <td width="35%" class="headerValue"><a href="../index.html">top level</a> - <a href="index.html">prbs</a> - prbs.vhd<span style="font-size: 80%;"> (source / <a href="prbs.vhd.func-sort-c.html">functions</a>)</span></td>
            <td width="5%"></td>
            <td width="15%"></td>
            <td width="10%" class="headerCovTableHead">Hit</td>
            <td width="10%" class="headerCovTableHead">Total</td>
            <td width="15%" class="headerCovTableHead">Coverage</td>
          </tr>
          <tr>
            <td class="headerItem">Test:</td>
            <td class="headerValue">coverage.info</td>
            <td></td>
            <td class="headerItem">Lines:</td>
            <td class="headerCovTableEntry">14</td>
            <td class="headerCovTableEntry">14</td>
            <td class="headerCovTableEntryHi">100.0 %</td>
          </tr>
          <tr>
            <td class="headerItem">Date:</td>
            <td class="headerValue">2023-02-09 12:58:45</td>
            <td></td>
            <td class="headerItem">Functions:</td>
            <td class="headerCovTableEntry">8</td>
            <td class="headerCovTableEntry">8</td>
            <td class="headerCovTableEntryHi">100.0 %</td>
          </tr>
          <tr><td><img src="../glass.png" width=3 height=3 alt=""></td></tr>
        </table>
      </td>
    </tr>

    <tr><td class="ruler"><img src="../glass.png" width=3 height=3 alt=""></td></tr>
  </table>

  <table cellpadding=0 cellspacing=0 border=0>
    <tr>
      <td><br></td>
    </tr>
    <tr>
      <td>
<pre class="sourceHeading">          Line data    Source code</pre>
<pre class="source">
<a name="1"><span class="lineNum">       1 </span><span class="lineCov">         12 : library ieee;</span></a>
<a name="2"><span class="lineNum">       2 </span>            : use ieee.std_logic_1164.all;</a>
<a name="3"><span class="lineNum">       3 </span>            : use ieee.numeric_std.all;</a>
<a name="4"><span class="lineNum">       4 </span>            : </a>
<a name="5"><span class="lineNum">       5 </span><span class="lineCov">        328 : entity prbs is</span></a>
<a name="6"><span class="lineNum">       6 </span>            :     port (</a>
<a name="7"><span class="lineNum">       7 </span>            :         clk   : in std_ulogic;</a>
<a name="8"><span class="lineNum">       8 </span>            :         reset : in std_ulogic;</a>
<a name="9"><span class="lineNum">       9 </span>            :         enable: in std_ulogic;</a>
<a name="10"><span class="lineNum">      10 </span>            :         output: out std_ulogic </a>
<a name="11"><span class="lineNum">      11 </span>            : </a>
<a name="12"><span class="lineNum">      12 </span>            :     );</a>
<a name="13"><span class="lineNum">      13 </span>            : </a>
<a name="14"><span class="lineNum">      14 </span>            : end entity;</a>
<a name="15"><span class="lineNum">      15 </span>            : </a>
<a name="16"><span class="lineNum">      16 </span>            : architecture architecture_prbs of prbs is</a>
<a name="17"><span class="lineNum">      17 </span>            : </a>
<a name="18"><span class="lineNum">      18 </span><span class="lineCov">         96 :     signal p_psb, psb: std_ulogic_vector(10 downto 0);</span></a>
<a name="19"><span class="lineNum">      19 </span>            : </a>
<a name="20"><span class="lineNum">      20 </span>            : begin</a>
<a name="21"><span class="lineNum">      21 </span>            : </a>
<a name="22"><span class="lineNum">      22 </span><span class="lineCov">       1490 :     output &lt;= psb(10);                                  -- read output from pipeline</span></a>
<a name="23"><span class="lineNum">      23 </span>            : </a>
<a name="24"><span class="lineNum">      24 </span><span class="lineCov">        132 :     comb: process(enable, psb)</span></a>
<a name="25"><span class="lineNum">      25 </span>            :         begin</a>
<a name="26"><span class="lineNum">      26 </span><span class="lineCov">       1178 :             if (enable = '1') then</span></a>
<a name="27"><span class="lineNum">      27 </span><span class="lineCov">       8404 :                 p_psb(10 downto 1) &lt;= psb(9 downto 0);  -- shift pipeline</span></a>
<a name="28"><span class="lineNum">      28 </span><span class="lineCov">        764 :                 p_psb(0) &lt;= psb(10) XOR psb(8);         -- calculate new incoming value</span></a>
<a name="29"><span class="lineNum">      29 </span>            :             else</a>
<a name="30"><span class="lineNum">      30 </span><span class="lineCov">       4968 :                 p_psb &lt;= psb;</span></a>
<a name="31"><span class="lineNum">      31 </span>            :                 </a>
<a name="32"><span class="lineNum">      32 </span>            :             end if;</a>
<a name="33"><span class="lineNum">      33 </span>            :         end process;</a>
<a name="34"><span class="lineNum">      34 </span>            : </a>
<a name="35"><span class="lineNum">      35 </span>            : </a>
<a name="36"><span class="lineNum">      36 </span><span class="lineCov">         48 :     sync: process(clk, reset)</span></a>
<a name="37"><span class="lineNum">      37 </span>            :         begin</a>
<a name="38"><span class="lineNum">      38 </span><span class="lineCov">       2360 :         if (reset = '1') then</span></a>
<a name="39"><span class="lineNum">      39 </span><span class="lineCov">        276 :             psb &lt;= (OTHERS =&gt; '1');                     -- reset full pipeline to ones</span></a>
<a name="40"><span class="lineNum">      40 </span><span class="lineCov">       2348 :         elsif (rising_edge(clk)) then</span></a>
<a name="41"><span class="lineNum">      41 </span><span class="lineCov">      15178 :             psb &lt;= p_psb;</span></a>
<a name="42"><span class="lineNum">      42 </span>            :         end if;</a>
<a name="43"><span class="lineNum">      43 </span>            :         end process;</a>
<a name="44"><span class="lineNum">      44 </span>            :     </a>
<a name="45"><span class="lineNum">      45 </span>            : </a>
<a name="46"><span class="lineNum">      46 </span>            : end architecture;</a>
</pre>
      </td>
    </tr>
  </table>
  <br>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="ruler"><img src="../glass.png" width=3 height=3 alt=""></td></tr>
    <tr><td class="versionInfo">Generated by: <a href="http://ltp.sourceforge.net/coverage/lcov.php" target="_parent">LCOV version 1.14</a></td></tr>
  </table>
  <br>

</body>
</html>
